Doomsday Engine - Bug #765

[Hexen] Korax teleport order
2009-09-09 09:48 - vermil

Status: Closed Start date: 2009-09-09
Priority: High % Done: 100%
Assignee: danij

Category: Vanilla emulation

Target version: 1.15

Description

In Betab.6, the first time Korax teleports, he teleports to the wrong location.

In Betab.6 his cycle is 2nd Middle, 2nd Left, 2nd Right, 1st Left and finally 1st Right. But it should be be 2nd Left, 2nd Right, 1st Left,
1st Right and finally 2nd Middle.

Labels: Hexen

Associated revisions

Revision 0897e5c9 - 2015-03-11 17:38 - danij

Fixed|Hexen: Korax teleport order (refactoring oversight)

IssuelD #765

History

#1 - 2009-09-09 17:26 - vermil

Perhaps it has been around for a while and simply not noticed.

D'sparil from Heretic teleports randomly.

However, Korax teleports to his destination points in a preset order which | wrote in my original post.
#2 - 2009-09-09 17:53 - vermil

Aplogies, | got 2nd left and 2nd right the wrong way round in my original comment.

It's actually 2nd Right, 2nd Left, 1st Left, 2nd Right and finally 2nd Middle.

#3 - 2009-09-10 15:33 - danij
Fixed for 1.9.0-beta6.8

#4 - 2009-11-13 19:13 - danij

There has been no change to this specifically in 1.9.0-beta6.6 so perhaps this has been around for a while?

I'm not entirely sure what you mean by teleport order; | was under the impression that the destination was chosen pseudo-randomly.
#5 - 2009-11-14 11:15 - skyjake

Opening by request from Vermil.

Looking at the code, the order of Korax teleport destinations is predefined and depends on the order in which thinkers are iterated (see
jhexen/src/p_mobj.c:1347).

Random numbers are used to determine the time when a teleport occurs.

#6 - 2012-04-27 13:16 - vermil

| don’t think | worded the issue well back then, but the issue was and is, that Korax is teleporting to the last destination before the first.

Korax should teleport in the following looping order:
1. Top right (2nd hall right)

2. Top left (2nd hall left)

3. Bottom left (1st hall left)

4. Bottom right (1st hall right)

2024-04-10 1/2




5. Top middle (second hall between the exit and where he starts in the second hall)

However in 1.9.x, Korax is incorrectly teleporting in the order of 5,1,2,3,4.

#7 - 2012-04-27 13:22 - danij

- summary: [HeXen] Korax teleport order --> [Hexen] Korax teleport order

#8 - 2012-08-27 19:55 - danij

- labels: jHexen Gameplay --> Hexen

#9 - 2013-10-22 18:59 - skyjake

- Tags set to Hexen, Gameplay

- Category set to Vanilla emulation

- Priority changed from Normal to High
- Target version deleted (1.9.7)

#10 - 2015-03-11 17:30 - danij
- Status changed from New to In Progress
- Target version setto 1.15

- % Done changed from 0 to 90

#11 - 2015-03-11 17:40 - danij
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#12 - 2015-03-14 00:47 - danij

- Status changed from Resolved to Closed
